/****************************************************************************
 * Projekt - HMI-Unit
 * (c) 2021 softwareentwicklung-als-prozess.de
 * Dokumentation s. Blog
 * Funktionalitaet:
 * Alle Elemente einer Mensch Maschine Schnittstelle auf einem Board als unabhaengige Einheit
 * auf einem Board. Gesteuert ueber eine serielle Schnittstelle.
 ***************************************************************************/
#include "serial.h"
#include "leds.h"
#include "buzkeys.h"
#include "display.h"

void setup() 
{
  ser_Init();
  ser_StartUp();
  leds_Init();
  buzkeys_Init();
  display_Init();
}

void loop() 
{
  ser_CheckInput();
  leds_CheckBlink();
  buzkeys_CheckBuzz();
  buzkeys_CheckPushKeys();
}
